OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
OpenMesh::ArrayKernel::AutoStatusSetT< Handle > Class Template Reference

— AutoStatusSet API — More...

`#include <OpenMesh/Core/Mesh/ArrayKernel.hh>`

Inheritance diagram for OpenMesh::ArrayKernel::AutoStatusSetT< Handle >:
[legend]
Collaboration diagram for OpenMesh::ArrayKernel::AutoStatusSetT< Handle >:
[legend]

## Public Member Functions

| AutoStatusSetT (ArrayKernel &_kernel)
Public Member Functions inherited from OpenMesh::ArrayKernel::StatusSetT< Handle >
| StatusSetT (ArrayKernel &_kernel, unsigned int _bit_mask)
bool | is_in (Handle _hnd) const
void | insert (Handle _hnd)
void | erase (Handle _hnd)
unsigned int | size () const
| Note: 0(n) complexity.
void | clear ()
| Note: O(n) complexity.

## Additional Inherited Members

Public Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< Handle >
const unsigned int | bit_mask_
Protected Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< Handle >
ArrayKernel & | kernel_

## Detailed Description

### template<class Handle>
class OpenMesh::ArrayKernel::AutoStatusSetT< Handle >

— AutoStatusSet API —

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/ArrayKernel.hh